Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Mail.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Mail.php	(revision 19897)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Mail.php	(revision 19978)
@@ -102,5 +102,22 @@
         $arrRet = $objQuery->select("*", "dtb_order", $where, array($order_id));
         $arrOrder = $arrRet[0];
-        $arrOrderDetail = $objQuery->select("*", "dtb_order_detail", $where, array($order_id));
+        $arrTplVar->arrOrderDetail = $objQuery->select("*", "dtb_order_detail", $where, array($order_id));
+
+        $objProduct = new SC_Product();
+        $objQuery->setOrder('shipping_id');
+        $arrRet = $objQuery->select("*", "dtb_shipping", "order_id = ?", array($order_id));
+        foreach (array_keys($arrRet) as $key) {
+            $objQuery->setOrder('shipping_id');
+            $arrItems = $objQuery->select("*", "dtb_shipment_item", "order_id = ? AND shipping_id = ?",
+                                          array($order_id, $arrRet[$key]['shipping_id']));
+            foreach ($arrItems as $itemKey => $arrDetail) {
+                foreach ($arrDetail as $detailKey => $detailVal) {
+                    $arrRet[$key]['shipment_item'][$arrDetail['product_class_id']][$detailKey] = $detailVal;
+                }
+
+                $arrRet[$key]['shipment_item'][$arrDetail['product_class_id']]['productsClass'] =& $objProduct->getDetailAndProductsClass($arrDetail['product_class_id']);
+            }
+        }
+        $arrTplVar->arrShipping = $arrRet;
 
         $arrTplVar->Message_tmp = $arrOrder['message'];
@@ -108,4 +125,5 @@
         // 顧客情報の取得
         $customer_id = $arrOrder['customer_id'];
+        $objQuery->setOrder('customer_id');
         $arrRet = $objQuery->select("point", "dtb_customer", "customer_id = ?", array($customer_id));
         $arrCustomer = isset($arrRet[0]) ? $arrRet[0] : "";
@@ -128,8 +146,5 @@
 
         // 都道府県変換
-        $arrTplVar->arrOrder['deliv_pref_name'] = $this->arrPref[$arrTplVar->arrOrder['deliv_pref']];
-        $arrTplVar->arrOrder['order_pref_name'] = $this->arrPref[$arrTplVar->arrOrder['order_pref']];
-
-        $arrTplVar->arrOrderDetail = $arrOrderDetail;
+        $arrTplVar->arrPref = $this->arrPref;
 
         $objCustomer = new SC_Customer();
Index: /branches/version-2_5-dev/data/Smarty/templates/default/mail_templates/order_mail.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/mail_templates/order_mail.tpl	(revision 19764)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/mail_templates/order_mail.tpl	(revision 19978)
@@ -25,5 +25,5 @@
 
 ******************************************************************
-　配送情報とご請求金額
+　ご請求金額
 ******************************************************************
 
@@ -31,12 +31,5 @@
 お支払合計：￥ <!--{$arrOrder.payment_total|number_format|default:0}-->
 ご決済方法：<!--{$arrOrder.payment_method}-->
-　お届け日：<!--{$arrOrder.deliv_date|default:"指定なし"}-->
-お届け時間：<!--{$arrOrder.deliv_time|default:"指定なし"}-->
 メッセージ：<!--{$Message_tmp}-->
-◎お届け先
-　お名前　：<!--{$arrOrder.deliv_name01}--> <!--{$arrOrder.deliv_name02}-->　様
-　郵便番号：〒<!--{$arrOrder.deliv_zip01}-->-<!--{$arrOrder.deliv_zip02}-->
-　住所　　：<!--{$arrOrder.deliv_pref_name}--><!--{$arrOrder.deliv_addr01}--><!--{$arrOrder.deliv_addr02}-->
-　電話番号：<!--{$arrOrder.deliv_tel01}-->-<!--{$arrOrder.deliv_tel02}-->-<!--{$arrOrder.deliv_tel03}-->
 
 <!--{if $arrOther.title.value }-->
@@ -70,4 +63,28 @@
 ===============================================================
 合　計 ￥ <!--{$arrOrder.payment_total|number_format|default:0}-->
+
+
+******************************************************************
+　配送情報
+******************************************************************
+
+<!--{foreach item=shipping name=shipping from=$arrShipping}-->
+◎お届け先<!--{if count($arrShipping) > 1}--><!--{$smarty.foreach.shipping.iteration}--><!--{/if}-->
+
+　お名前　：<!--{$shipping.shipping_name01}--> <!--{$shipping.shipping_name02}-->　様
+　郵便番号：〒<!--{$shipping.shipping_zip01}-->-<!--{$shipping.shipping_zip02}-->
+　住所　　：<!--{$arrPref[$shipping.shipping_pref]}--><!--{$shipping.shipping_addr01}--><!--{$shipping.shipping_addr02}-->
+　電話番号：<!--{$shipping.shipping_tel01}-->-<!--{$shipping.shipping_tel02}-->-<!--{$shipping.shipping_tel03}-->
+　お届け日：<!--{$shipping.shipping_date|date_format:"%Y/%m/%d"|default:"指定なし"}-->
+お届け時間：<!--{$shipping.shipping_time|default:"指定なし"}-->
+
+<!--{foreach item=item name=item from=$shipping.shipment_item}-->
+商品コード: <!--{$item.product_code}-->
+商品名: <!--{$item.product_name}--> <!--{$item.classcategory_name1}--> <!--{$item.classcategory_name2}-->
+単価：￥ <!--{$item.price|sfCalcIncTax:$arrInfo.tax:$arrInfo.tax_rule|number_format}-->
+数量：<!--{$item.quantity}-->
+
+<!--{/foreach}-->
+<!--{/foreach}-->
 <!--{if $arrOrder.customer_id && $smarty.const.USE_POINT !== false}-->
 ===============================================================
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/mail_templates/order_mail.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/mail_templates/order_mail.tpl	(revision 19915)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/mail_templates/order_mail.tpl	(revision 19978)
@@ -24,16 +24,9 @@
 <!--{$arrOrder.order_name01}--> <!--{$arrOrder.order_name02}--> 様
 
-■配送情報とご請求金額
+■ご請求金額
 ご注文番号：<!--{$arrOrder.order_id}-->
 お支払合計：￥ <!--{$arrOrder.payment_total|number_format|default:0}-->
 ご決済方法：<!--{$arrOrder.payment_method}-->
-お届け日：<!--{$arrOrder.deliv_date|default:"指定なし"}-->
-お届け時間：<!--{$arrOrder.deliv_time|default:"指定なし"}-->
-
-◎お届け先
-お名前　：<!--{$arrOrder.deliv_name01}--> <!--{$arrOrder.deliv_name02}-->　様
-郵便番号：〒<!--{$arrOrder.deliv_zip01}-->-<!--{$arrOrder.deliv_zip02}-->
-住所　　：<!--{$arrOrder.deliv_pref_name}--><!--{$arrOrder.deliv_addr01}--><!--{$arrOrder.deliv_addr02}-->
-電話番号：<!--{$arrOrder.deliv_tel01}-->-<!--{$arrOrder.deliv_tel02}-->-<!--{$arrOrder.deliv_tel03}-->
+メッセージ：<!--{$Message_tmp}-->
 
 <!--{if $arrOther.title.value }-->
@@ -48,9 +41,38 @@
 ■ご注文商品明細
 <!--{section name=cnt loop=$arrOrderDetail}-->
+商品コード: <!--{$arrOrderDetail[cnt].product_code}-->
 商品名: <!--{$arrOrderDetail[cnt].product_name}--> <!--{$arrOrderDetail[cnt].classcategory_name1}--> <!--{$arrOrderDetail[cnt].classcategory_name2}-->
+単価：￥ <!--{$arrOrderDetail[cnt].price|sfCalcIncTax:$arrInfo.tax:$arrInfo.tax_rule|number_format}-->
 数量：<!--{$arrOrderDetail[cnt].quantity}-->
-金額：￥ <!--{$arrOrderDetail[cnt].price|sfCalcIncTax:$arrInfo.tax:$arrInfo.tax_rule|number_format}-->
 
 <!--{/section}-->
+
+小　計 ￥ <!--{$arrOrder.subtotal|number_format|default:0}--> (うち消費税 ￥<!--{$arrOrder.tax|number_format|default:0}-->）
+値引き ￥ <!--{$arrOrder.use_point+$arrOrder.discount|number_format|default:0}-->
+送　料 ￥ <!--{$arrOrder.deliv_fee|number_format|default:0}-->
+手数料 ￥ <!--{$arrOrder.charge|number_format|default:0}-->
+===============================================================
+合　計 ￥ <!--{$arrOrder.payment_total|number_format|default:0}-->
+
+■配送情報
+
+<!--{foreach item=shipping name=shipping from=$arrShipping}-->
+◎お届け先<!--{if count($arrShipping) > 1}--><!--{$smarty.foreach.shipping.iteration}--><!--{/if}-->
+
+　お名前　：<!--{$shipping.shipping_name01}--> <!--{$shipping.shipping_name02}-->　様
+　郵便番号：〒<!--{$shipping.shipping_zip01}-->-<!--{$shipping.shipping_zip02}-->
+　住所　　：<!--{$arrPref[$shipping.shipping_pref]}--><!--{$shipping.shipping_addr01}--><!--{$shipping.shipping_addr02}-->
+　電話番号：<!--{$shipping.shipping_tel01}-->-<!--{$shipping.shipping_tel02}-->-<!--{$shipping.shipping_tel03}-->
+　お届け日：<!--{$shipping.shipping_date|date_format:"%Y/%m/%d"|default:"指定なし"}-->
+お届け時間：<!--{$shipping.shipping_time|default:"指定なし"}-->
+
+<!--{foreach item=item name=item from=$shipping.shipment_item}-->
+商品コード: <!--{$item.product_code}-->
+商品名: <!--{$item.product_name}--> <!--{$item.classcategory_name1}--> <!--{$item.classcategory_name2}-->
+単価：￥ <!--{$item.price|sfCalcIncTax:$arrInfo.tax:$arrInfo.tax_rule|number_format}-->
+数量：<!--{$item.quantity}-->
+
+<!--{/foreach}-->
+<!--{/foreach}-->
 <!--{if $arrOrder.customer_id && $smarty.const.USE_POINT !== false}-->
 ■ポイント情報