Index: /branches/version-2_5-dev/html/install/sql/insert_data.sql
===================================================================
--- /branches/version-2_5-dev/html/install/sql/insert_data.sql	(revision 19986)
+++ /branches/version-2_5-dev/html/install/sql/insert_data.sql	(revision 19987)
@@ -1141,5 +1141,5 @@
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('IMAGE_SAVE_RSS_URL', 'HTTP_URL . "upload/save_image/"', 155, 'RSS用画像保存先URL');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('CSV_TEMP_REALDIR', 'DATA_REALDIR . "upload/csv/"', 156, 'エンコードCSVの一時保存先');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('NO_IMAGE_DIR', 'USER_TEMPLATE_REALDIR . "img/picture/img_blank.gif"', 158, '画像がない場合に表示');
+INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('NO_IMAGE_REALDIR', 'USER_TEMPLATE_REALDIR . "img/picture/img_blank.gif"', 158, '画像がない場合に表示');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('ADMIN_SYSTEM_URLPATH', 'ROOT_URLPATH . ADMIN_DIR . "system/" . DIR_INDEX_URL', 159, 'システム管理トップ');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('ADMIN_CLASS_REGIST_URLPATH', 'ROOT_URLPATH . ADMIN_DIR . "products/class.php"', 160, '規格登録');
@@ -1236,5 +1236,5 @@
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('TEMPLATE_REALDIR', 'SMARTY_TEMPLATES_REALDIR . TEMPLATE_NAME . "/"', 307, 'SMARTYテンプレート(PC)');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('TEMPLATE_ADMIN_REALDIR', 'SMARTY_TEMPLATES_REALDIR . "admin/"', 308, 'SMARTYテンプレート(管理機能)');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('COMPILE_DIR', 'DATA_REALDIR . "Smarty/templates_c/" . TEMPLATE_NAME . "/"', 309, 'SMARTYコンパイル');
+INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('COMPILE_REALDIR', 'DATA_REALDIR . "Smarty/templates_c/" . TEMPLATE_NAME . "/"', 309, 'SMARTYコンパイル');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('COMPILE_ADMIN_REALDIR', 'DATA_REALDIR . "Smarty/templates_c/admin/"', 310, 'SMARTYコンパイル(管理機能)');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('BLOC_DIR', '"frontparts/bloc/"', 311, 'ブロックファイル保存先');
@@ -1243,5 +1243,4 @@
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('SMARTPHONE_TEMPLATE_REALDIR', 'SMARTY_TEMPLATES_REALDIR . SMARTPHONE_TEMPLATE_NAME . "/"', 314, 'SMARTYテンプレート(smart phone)');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('SMARTPHONE_COMPILE_REALDIR', 'DATA_REALDIR . "Smarty/templates_c/" . SMARTPHONE_TEMPLATE_NAME . "/"', 315, 'SMARTYコンパイル(smartphone)');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('BLOC_PATH', 'TEMPLATE_REALDIR . BLOC_DIR', 316, 'ブロックファイル保存先');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('RFC_COMPLIANT_EMAIL_CHECK', 'false', 401, 'EメールアドレスチェックをRFC準拠にするか(true:準拠する、false:準拠しない)');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('MOBILE_SESSION_LIFETIME', '1800', 402, 'モバイルサイトのセッションの存続時間 (秒)');
Index: /branches/version-2_5-dev/data/class/SC_Initial.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_Initial.php	(revision 19972)
+++ /branches/version-2_5-dev/data/class/SC_Initial.php	(revision 19987)
@@ -235,6 +235,6 @@
         if (defined("HTML_REALDIR")) {
             umask(0);
-            if (!file_exists(COMPILE_DIR)) {
-                mkdir(COMPILE_DIR);
+            if (!file_exists(COMPILE_REALDIR)) {
+                mkdir(COMPILE_REALDIR);
             }
 
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Mobile.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Mobile.php	(revision 19972)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Mobile.php	(revision 19987)
@@ -227,5 +227,5 @@
     function lfMobileInitOutput() {
         // Smarty 用のディレクトリーを作成する。
-        @mkdir(COMPILE_DIR);
+        @mkdir(COMPILE_REALDIR);
 
         // 出力用のエンコーディングを Shift JIS に固定する。
Index: /branches/version-2_5-dev/data/class/SC_View.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_View.php	(revision 19983)
+++ /branches/version-2_5-dev/data/class/SC_View.php	(revision 19987)
@@ -211,5 +211,5 @@
 
         $this->_smarty->template_dir = TEMPLATE_REALDIR;
-        $this->_smarty->compile_dir = COMPILE_DIR;
+        $this->_smarty->compile_dir = COMPILE_REALDIR;
 
         $this->assignTemplatePath(DEVICE_TYPE_PC);
@@ -224,5 +224,5 @@
 
 class SC_UserView extends SC_SiteView{
-    function SC_UserView($template_dir, $compile_dir = COMPILE_DIR) {
+    function SC_UserView($template_dir, $compile_dir = COMPILE_REALDIR) {
         parent::SC_SiteView();
         $this->_smarty->template_dir = $template_dir;
@@ -232,5 +232,5 @@
 
 class SC_InstallView extends SC_View{
-    function SC_InstallView($template_dir, $compile_dir = COMPILE_DIR) {
+    function SC_InstallView($template_dir, $compile_dir = COMPILE_REALDIR) {
         parent::SC_View(false);
         $this->_smarty->template_dir = $template_dir;
Index: /branches/version-2_5-dev/data/class/pages/LC_Page_ResizeImage.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/LC_Page_ResizeImage.php	(revision 19805)
+++ /branches/version-2_5-dev/data/class/pages/LC_Page_ResizeImage.php	(revision 19987)
@@ -55,8 +55,8 @@
         $objThumb = new gdthumb();
 
-        $file = NO_IMAGE_DIR;
+        $file = NO_IMAGE_REALDIR;
 
-        // NO_IMAGE_DIR以外のファイル名が渡された場合、ファイル名のチェックを行う
-        if (strlen($_GET['image']) >= 1 && $_GET['image'] !== NO_IMAGE_DIR) {
+        // NO_IMAGE_REALDIR以外のファイル名が渡された場合、ファイル名のチェックを行う
+        if (strlen($_GET['image']) >= 1 && $_GET['image'] !== NO_IMAGE_REALDIR) {
 
             // ファイル名が正しく、ファイルが存在する場合だけ、$fileを設定
Index: /branches/version-2_5-dev/data/class/pages/error/LC_Page_Error_SystemError.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/error/LC_Page_Error_SystemError.php	(revision 19807)
+++ /branches/version-2_5-dev/data/class/pages/error/LC_Page_Error_SystemError.php	(revision 19987)
@@ -80,5 +80,5 @@
             $objView = new SC_AdminView();
         } else {
-            $objView = new SC_InstallView(TEMPLATE_REALDIR, COMPILE_DIR);
+            $objView = new SC_InstallView(TEMPLATE_REALDIR, COMPILE_REALDIR);
         }
 
Index: /branches/version-2_5-dev/data/mtb_constants_init.php
===================================================================
--- /branches/version-2_5-dev/data/mtb_constants_init.php	(revision 19986)
+++ /branches/version-2_5-dev/data/mtb_constants_init.php	(revision 19987)
@@ -237,5 +237,5 @@
 define('CSV_TEMP_REALDIR', DATA_REALDIR . "upload/csv/");
 /** 画像がない場合に表示 */
-define('NO_IMAGE_DIR', USER_TEMPLATE_REALDIR . "img/picture/img_blank.gif");
+define('NO_IMAGE_REALDIR', USER_TEMPLATE_REALDIR . "img/picture/img_blank.gif");
 /** システム管理トップ */
 define('ADMIN_SYSTEM_URLPATH', ROOT_URLPATH . ADMIN_DIR . "system/" . DIR_INDEX_URL);
@@ -426,5 +426,5 @@
 define('TEMPLATE_ADMIN_REALDIR', SMARTY_TEMPLATES_REALDIR . "admin/");
 /** SMARTYコンパイル */
-define('COMPILE_DIR', DATA_REALDIR . "Smarty/templates_c/" . TEMPLATE_NAME . "/");
+define('COMPILE_REALDIR', DATA_REALDIR . "Smarty/templates_c/" . TEMPLATE_NAME . "/");
 /** SMARTYコンパイル(管理機能) */
 define('COMPILE_ADMIN_REALDIR', DATA_REALDIR . "Smarty/templates_c/admin/");
@@ -439,6 +439,4 @@
 /** SMARTYコンパイル(smartphone) */
 define('SMARTPHONE_COMPILE_REALDIR', DATA_REALDIR . "Smarty/templates_c/" . SMARTPHONE_TEMPLATE_NAME . "/");
-/** ブロックファイル保存先 */
-define('BLOC_PATH', TEMPLATE_REALDIR . BLOC_DIR);
 /** EメールアドレスチェックをRFC準拠にするか(true:準拠する、false:準拠しない) */
 define('RFC_COMPLIANT_EMAIL_CHECK', false);