Index: branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Holiday.php
===================================================================
--- branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Holiday.php	(revision 19805)
+++ branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Holiday.php	(revision 20041)
@@ -78,8 +78,6 @@
         SC_Utils_Ex::sfIsSuccess($objSess);
 
-        if (!isset($_POST['mode'])) $_POST['mode'] = "";
-
         // 要求判定
-        switch($_POST['mode']) {
+        switch($this->getMode()) {
         // 編集処理
         case 'edit':
Index: branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Point.php
===================================================================
--- branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Point.php	(revision 19805)
+++ branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Point.php	(revision 20041)
@@ -93,5 +93,5 @@
         }
 
-        if(isset($_POST['mode']) && !empty($_POST['mode'])) {
+        if(!empty($this->getMode())) {
             // 入力値の変換
             $this->objFormParam->convParam();
@@ -99,5 +99,5 @@
 
             if(count($this->arrErr) == 0) {
-                switch($_POST['mode']) {
+                switch($this->getMode()) {
                 case 'update':
                     $this->lfUpdateData(); // 既存編集
Index: branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_ZipInstall.php
===================================================================
--- branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_ZipInstall.php	(revision 19827)
+++ branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_ZipInstall.php	(revision 20041)
@@ -70,5 +70,5 @@
         $this->tpl_mainno = 'basis';
 
-        $this->tpl_mode = $_GET['mode'];
+        $this->tpl_mode = $this->getMode();
         $this->exec = (boolean)$_GET['exec'];
     }
@@ -247,5 +247,5 @@
         echo "<img src='". $img_path ."space_w.gif'>";
         echo "</div>\n";
-        
+
         ?>
         <script type="text/javascript" language="javascript">
Index: branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment_Input.php
===================================================================
--- branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment_Input.php	(revision 19943)
+++ branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment_Input.php	(revision 20041)
@@ -92,5 +92,5 @@
         $this->objFormParam->setParam($_POST);
 
-        switch($_POST['mode']) {
+        switch($this->getMode()) {
         case 'edit':
             // 入力値の変換
@@ -124,6 +124,6 @@
         }
 
-        if($_POST['mode'] == "") {
-            switch($_GET['mode']) {
+        if($this->getMode() == "") {
+            switch($this->getMode()) {
             case 'pre_edit':
                 if(SC_Utils_Ex::sfIsInt($_GET['payment_id'])) {
Index: branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Kiyaku.php
===================================================================
--- branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Kiyaku.php	(revision 19805)
+++ branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Kiyaku.php	(revision 20041)
@@ -74,8 +74,6 @@
         SC_Utils_Ex::sfIsSuccess($objSess);
 
-        if (!isset($_POST['mode'])) $_POST['mode'] = "";
-
         // 要求判定
-        switch($_POST['mode']) {
+        switch($this->getMode()) {
         // 編集処理
         case 'edit':
Index: branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment.php
===================================================================
--- branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment.php	(revision 19805)
+++ branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment.php	(revision 20041)
@@ -73,7 +73,5 @@
         SC_Utils_Ex::sfIsSuccess($objSess);
 
-        if (!isset($_POST['mode'])) $_POST['mode'] = "";
-
-        switch($_POST['mode']) {
+        switch($this->getMode()) {
             case 'delete':
                 // ランク付きレコードの削除
Index: branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis.php
===================================================================
--- branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis.php	(revision 19996)
+++ branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis.php	(revision 20041)
@@ -93,5 +93,5 @@
         }
 
-        if(isset($_POST['mode']) && !empty($_POST["mode"])) {
+        if(!empty($this->getMode())) {
             // POSTデータの引き継ぎ
             $this->arrForm = $_POST;
@@ -104,5 +104,5 @@
 
             if(count($this->arrErr) == 0) {
-                switch($_POST['mode']) {
+                switch($this->getMode()) {
                 case 'update':
                     $this->lfUpdateData($this->arrForm);	// 既存編集
@@ -206,5 +206,5 @@
         $ret = $objQuery->insert("dtb_baseinfo", $sqlval);
     }
-    
+
 
     /* 取得文字列の変換 */
Index: branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Control.php
===================================================================
--- branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Control.php	(revision 19805)
+++ branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Control.php	(revision 20041)
@@ -82,7 +82,5 @@
         $this->objFormParam->setParam($_POST);
 
-        if (!isset($_POST['mode'])) $_POST['mode'] = "";
-
-        switch($_POST['mode']) {
+        switch($this->getMode()) {
             case 'edit':
                 // 入力値の変換
Index: branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery_Input.php
===================================================================
--- branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery_Input.php	(revision 19805)
+++ branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery_Input.php	(revision 20041)
@@ -57,5 +57,5 @@
         $this->arrProductType = $masterData->getMasterData("mtb_product_type");
         $this->tpl_subtitle = '配送業者設定';
-        $this->mode = isset($_POST['mode']) ? $_POST['mode'] : '';
+        $this->mode = $this->getMode();
     }
 
@@ -158,5 +158,5 @@
      * 配送情報を登録する
      *
-     * @return $deliv_id 
+     * @return $deliv_id
      */
     function lfRegistData() {
Index: branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Mail.php
===================================================================
--- branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Mail.php	(revision 19974)
+++ branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Mail.php	(revision 20041)
@@ -77,7 +77,5 @@
         $this->arrMailTEMPLATE = $masterData->getMasterData("mtb_mail_template");
 
-        if (!isset($_POST['mode'])) $_POST['mode'] = "";
-
-        if ( $_POST['mode'] == 'id_set'){
+        if ( $this->getMode() == 'id_set'){
             // テンプレートプルダウン変更時
 
@@ -92,5 +90,5 @@
             }
 
-        } elseif ( $_POST['mode'] == 'regist' && SC_Utils_Ex::sfCheckNumLength( $_POST['template_id']) ){
+        } elseif ( $this->getMode() == 'regist' && SC_Utils_Ex::sfCheckNumLength( $_POST['template_id']) ){
 
             // POSTデータの引き継ぎ
Index: branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery.php
===================================================================
--- branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery.php	(revision 19805)
+++ branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery.php	(revision 20041)
@@ -77,7 +77,5 @@
         SC_Utils_Ex::sfIsSuccess($objSess);
 
-        if (!isset($_POST['mode'])) $_POST['mode'] = "";
-
-        switch($_POST['mode']) {
+        switch($this->getMode()) {
         case 'delete':
             // ランク付きレコードの削除
Index: branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tradelaw.php
===================================================================
--- branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tradelaw.php	(revision 19805)
+++ branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tradelaw.php	(revision 20041)
@@ -96,5 +96,5 @@
         }
 
-        if(isset($_POST['mode']) && !empty($_POST['mode'])) {
+        if(!empty($this->getMode())) {
             // 入力値の変換
             $this->objFormParam->convParam();
@@ -102,5 +102,5 @@
 
             if(count($this->arrErr) == 0) {
-                switch($_POST['mode']) {
+                switch($this->getMode()) {
                 case 'update':
                     $this->lfUpdateData(); // 既存編集
Index: branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Seo.php
===================================================================
--- branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Seo.php	(revision 19967)
+++ branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Seo.php	(revision 20041)
@@ -89,7 +89,5 @@
         $page_id = (isset($_POST['page_id'])) ? $_POST['page_id'] : '';
 
-        if (!isset($_POST['mode'])) $_POST['mode'] = "";
-
-        if($_POST['mode'] == "confirm") {
+        if($this->getMode() == "confirm") {
             // エラーチェック
             $this->arrErr[$device_type_id][$page_id] = $this->lfErrorCheck($_POST['meta'][$device_type_id][$page_id]);
@@ -230,5 +228,5 @@
         $objLayout = new SC_Helper_PageLayout_Ex();
         $arrRet = array();
-        
+
         $arrRet[DEVICE_TYPE_PC] = $objLayout->lfgetPageData('edit_flg = ? AND device_type_id = ?', array('2', DEVICE_TYPE_PC));
         $arrRet[DEVICE_TYPE_MOBILE] = $objLayout->lfgetPageData('edit_flg = ? AND device_type_id = ?', array('2', DEVICE_TYPE_MOBILE));