Index: /branches/version-2_5-dev/data/class/pages/LC_Page_InputZip.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/LC_Page_InputZip.php	(revision 19805)
+++ /branches/version-2_5-dev/data/class/pages/LC_Page_InputZip.php	(revision 20098)
@@ -72,9 +72,9 @@
 
             // 郵便番号検索
-            $data_list = SC_Utils_Ex::sfGetAddress($zipcode);
+            $arrAdsList = SC_Utils_Ex::sfGetAddress($zipcode);
 
             // 郵便番号が発見された場合
-            if(!empty($data_list)) {
-                $data = $data_list[0]['state']. "|". $data_list[0]['city']. "|". $data_list[0]['town'];
+            if(!empty($arrAdsList)) {
+                $data = $arrAdsList[0]['state']. "|". $arrAdsList[0]['city']. "|". $arrAdsList[0]['town'];
                 echo $data;
 
@@ -96,25 +96,33 @@
 
 
-    /* 入力エラーのチェック */
-    function fnErrorCheck($array) {
-        // エラーメッセージ配列の初期化
-        $objErr = new SC_CheckError($array);
-
-        // 郵便番号
-        $objErr->doFunc( array("郵便番号1",'zip1',ZIP01_LEN ) ,array( "NUM_COUNT_CHECK", "NUM_CHECK" ) );
-        $objErr->doFunc( array("郵便番号2",'zip2',ZIP02_LEN ) ,array( "NUM_COUNT_CHECK", "NUM_CHECK" ) );
+    /**
+     * 入力エラーのチェック.
+     *
+     * @param array $arrRequest リクエスト値($_GET)
+     * @return array $arrErr エラーメッセージ配列
+     */
+    function fnErrorCheck($arrRequest) {
+        // パラメータ管理クラス
+        $objFormParam = new SC_FormParam();
+        // パラメータ情報の初期化
+        $objFormParam->addParam('郵便番号1', 'zip1', ZIP01_LEN, 'n', array('NUM_COUNT_CHECK', 'NUM_CHECK'));
+        $objFormParam->addParam('郵便番号2', 'zip2', ZIP02_LEN, 'n', array('NUM_COUNT_CHECK', 'NUM_CHECK'));
+        // // リクエスト値をセット
+        $objFormParam->setParam($arrRequest);
+        // エラーチェック
+        $arrErr = $objFormParam->checkError();
         // 親ウィンドウの戻り値を格納するinputタグのnameのエラーチェック
-        if (!$this->lfInputNameCheck($array['input1'])) {
-            $objErr->arrErr['input1'] = "※ 入力形式が不正です。<br />";
+        if ( !$this->lfInputNameCheck($arrRequest['input1']) ) {
+            $arrErr['input1'] = "※ 入力形式が不正です。<br />";
         }
-        if (!$this->lfInputNameCheck($array['input2'])) {
-            $objErr->arrErr['input2'] = "※ 入力形式が不正です。<br />";
+        if ( !$this->lfInputNameCheck($arrRequest['input2']) ) {
+            $arrErr['input2'] = "※ 入力形式が不正です。<br />";
         }
-
-        return $objErr->arrErr;
+        
+        return $arrErr;
     }
 
     /**
-     * エラーチェック
+     * エラーチェック.
      *
      * @param string $value
@@ -123,5 +131,5 @@
     function lfInputNameCheck($value) {
         // 半角英数字と_（アンダーバー）以外の文字を使用していたらエラー
-        if(strlen($value) > 0 && !ereg("^[a-zA-Z0-9_]+$", $value)) {
+        if(strlen($value) > 0 && !preg_match("/^[a-zA-Z0-9_]+$/", $value)) {
             return false;
         }
Index: /branches/version-2_5-dev/data/class/pages/LC_Page_Sitemap.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/LC_Page_Sitemap.php	(revision 20057)
+++ /branches/version-2_5-dev/data/class/pages/LC_Page_Sitemap.php	(revision 20098)
@@ -92,5 +92,5 @@
         $this->arrPageList = $this->getPageData();
 
-        $objQuery = new SC_Query();
+        $objQuery = SC_Query::getSingletonInstance();
 
         //キャッシュしない(念のため)
@@ -108,7 +108,7 @@
 
         // TOPページを処理
-        $topPage = $this->getTopPage($this->arrPageList);
-        $this->createSitemap($topPage[0]['url'],
-                             $this->date2W3CDatetime($topPage[0]['update_date']),
+        $arrTopPagesList = $this->getTopPage($this->arrPageList);
+        $this->createSitemap($arrTopPagesList[0]['url'],
+                             $this->date2W3CDatetime($arrTopPagesList[0]['update_date']),
                              'daily', 1.0);
 
@@ -119,21 +119,21 @@
 
         // 編集可能ページを処理
-        $editablePages = $this->getEditablePage($this->arrPageList);
-        foreach ($editablePages as $editablePage) {
-            $this->createSitemap($editablePage['url'],
-                                 $this->date2W3CDatetime($editablePage['update_date']));
+        $arrEditablePagesList = $this->getEditablePage($this->arrPageList);
+        foreach ($arrEditablePagesList as $arrEditablePage) {
+            $this->createSitemap($arrEditablePage['url'],
+                                 $this->date2W3CDatetime($arrEditablePage['update_date']));
         }
 
         // 商品一覧ページを処理
-        $products = $this->getAllProducts();
-        foreach ($products as $product) {
-            $this->createSitemap($product['url'], '', 'daily');
+        $arrProductPagesList = $this->getAllProducts();
+        foreach ($arrProductPagesList as $arrProductPage) {
+            $this->createSitemap($arrProductPage['url'], '', 'daily');
         }
 
         // 商品詳細ページを処理
-        $details = $this->getAllDetail();
-        foreach ($details as $detail) {
-            $this->createSitemap($detail['url'],
-                                 $this->date2W3CDatetime($detail['update_date']));
+        $arrDetailPagesList = $this->getAllDetail();
+        foreach ($arrDetailPagesList as $arrDetailPage) {
+            $this->createSitemap($arrDetailPage['url'],
+                                 $this->date2W3CDatetime($arrDetailPage['update_date']));
         }
 
@@ -180,12 +180,12 @@
      * TOPページの情報を取得する.
      *
-     * @param array $pageData すべてのページ情報の配列
+     * @param array $arrPageList すべてのページ情報の配列
      * @return array TOPページの情報
      */
-    function getTopPage($pageData) {
+    function getTopPage($arrPageList) {
         $arrRet = array();
-        foreach ($pageData as $page) {
-            if ($page['page_id'] == "1") {
-                $arrRet[0] = $page;
+        foreach ($arrPageList as $arrPage) {
+            if ($arrPage['page_id'] == "1") {
+                $arrRet[0] = $arrPage;
                 return $arrRet;
             }
@@ -196,12 +196,12 @@
      * すべての編集可能ページの情報を取得する.
      *
-     * @param array $pageData すべてのページ情報の配列
+     * @param array $arrPageList すべてのページ情報の配列
      * @return array 編集可能ページ
      */
-    function getEditablePage($pageData) {
+    function getEditablePage($arrPageList) {
         $arrRet = array();
-        foreach ($pageData as $page) {
-            if ($page['page_id'] > 4) {
-                $arrRet[] = $page;
+        foreach ($arrPageList as $arrPage) {
+            if ($arrPage['page_id'] > 4) {
+                $arrRet[] = $arrPage;
             }
         }
@@ -217,5 +217,5 @@
         
         // XXX: 商品登録の無いカテゴリーは除外する方が良い気もする
-        $objQuery = new SC_Query();
+        $objQuery = SC_Query::getSingletonInstance();
         $sql = "SELECT category_id FROM dtb_category WHERE del_flg = 0";
         $result = $objQuery->getAll($sql);
@@ -225,11 +225,11 @@
             // :TODO: カテゴリの最終更新日を取得できるようにする
             
-            $page["url"] = HTTP_URL . 'products/list.php?category_id=' . $row['category_id'];
-            $arrRet[] = $page;
+            $arrPage["url"] = HTTP_URL . 'products/list.php?category_id=' . $row['category_id'];
+            $arrRet[] = $arrPage;
             
             // モバイルサイト
             if (USE_MOBILE !== false) {
-                $page["url"] = MOBILE_HTTP_URL . 'products/list.php?category_id=' . $row['category_id'];
-                $arrRet[] = $page;
+                $arrPage["url"] = MOBILE_HTTP_URL . 'products/list.php?category_id=' . $row['category_id'];
+                $arrRet[] = $arrPage;
             }
         }
@@ -243,5 +243,5 @@
      */
     function getAllDetail() {
-        $objQuery = new SC_Query();
+        $objQuery = SC_Query::getSingletonInstance();
         $sql = "SELECT product_id, update_date FROM dtb_products WHERE del_flg = 0 AND status = 1";
         $result = $objQuery->getAll($sql);
@@ -250,13 +250,13 @@
         foreach ($result as $row) {
             
-            $page["update_date"] = $row['update_date'];
-            
-            $page["url"] = HTTP_URL . substr(P_DETAIL_URLPATH, strlen(ROOT_URLPATH)) . $row['product_id'];
-            $arrRet[] = $page;
+            $arrPage["update_date"] = $row['update_date'];
+            
+            $arrPage["url"] = HTTP_URL . substr(P_DETAIL_URLPATH, strlen(ROOT_URLPATH)) . $row['product_id'];
+            $arrRet[] = $arrPage;
             
             // モバイルサイト
             if (USE_MOBILE !== false) {
-                $page["url"] = HTTP_URL . substr(MOBILE_P_DETAIL_URLPATH, strlen(ROOT_URLPATH)) . $row['product_id'];
-                $arrRet[] = $page;
+                $arrPage["url"] = HTTP_URL . substr(MOBILE_P_DETAIL_URLPATH, strlen(ROOT_URLPATH)) . $row['product_id'];
+                $arrRet[] = $arrPage;
             }
         }
@@ -270,8 +270,8 @@
      * @param string $where WHERE句
      * @param array  $arrVal WHERE句の値を格納した配列
-     * @return ブロック情報
+     * @return array $arrPageList ブロック情報
      */
     function getPageData($where = '', $arrVal = ''){
-        $objQuery = new SC_Query();     // DB操作オブジェクト
+        $objQuery = SC_Query::getSingletonInstance();     // DB操作オブジェクト
         $sql = "";                      // データ取得SQL生成用
         $arrRet = array();              // データ取得用
@@ -301,17 +301,17 @@
         $sql .= " ORDER BY page_id";
 
-        $pageData = $objQuery->getAll($sql, $arrVal);
+        $arrPageList = $objQuery->getAll($sql, $arrVal);
         
         // URL にプロトコルの記載が無い場合、HTTP_URL を前置する。
-        foreach (array_keys($pageData) as $key) {
-            $page =& $pageData[$key];
-            if (!preg_match('|^https?://|i', $page['url'])) {
-                $page['url'] = HTTP_URL . $page['url'];
-            }
-            $page['url'] = preg_replace('|/' . preg_quote(DIR_INDEX_FILE) . '$|', '/' . DIR_INDEX_PATH, $page['url']);
-        }
-        unset($page);
-        
-        return $pageData;
+        foreach (array_keys($arrPageList) as $key) {
+            $arrPage =& $arrPageList[$key];
+            if (!preg_match('|^https?://|i', $arrPage['url'])) {
+                $arrPage['url'] = HTTP_URL . $arrPage['url'];
+            }
+            $arrPage['url'] = preg_replace('|/' . preg_quote(DIR_INDEX_FILE) . '$|', '/' . DIR_INDEX_PATH, $arrPage['url']);
+        }
+        unset($arrPage);
+        
+        return $arrPageList;
     }
 
@@ -325,5 +325,5 @@
         $arr = array();
         // 正規表現で文字列を抽出
-        ereg("^([0-9]{4})-([0-9]{2})-([0-9]{2}) ([0-9]{2}):([0-9]{2}):([0-9]{2})",
+        preg_match("/^([0-9]{4})-([0-9]{2})-([0-9]{2}) ([0-9]{2}):([0-9]{2}):([0-9]{2})/",
              $date, $arr);
         // :TODO: time zone も取得するべき...
Index: /branches/version-2_5-dev/data/class/pages/LC_Page_ResizeImage.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/LC_Page_ResizeImage.php	(revision 19987)
+++ /branches/version-2_5-dev/data/class/pages/LC_Page_ResizeImage.php	(revision 20098)
@@ -81,5 +81,9 @@
     }
 
-    // ファイル名の形式をチェック
+    /**
+     * ファイル名の形式をチェック.
+     *
+     * @return boolean 正常な形式:true 不正な形式:false
+     */
     function lfCheckFileName() {
         //$pattern = '|^[0-9]+_[0-9a-z]+\.[a-z]{3}$|';