Index: /branches/version-2_5-dev/html/install/sql/insert_data.sql
===================================================================
--- /branches/version-2_5-dev/html/install/sql/insert_data.sql	(revision 20069)
+++ /branches/version-2_5-dev/html/install/sql/insert_data.sql	(revision 20110)
@@ -299,4 +299,10 @@
 INSERT INTO dtb_deliv (deliv_id, product_type_id, name, service_name, confirm_url, rank, status, del_flg, creator_id, create_date, update_date) VALUES (1, 1, 'サンプル業者', 'サンプル業者', NULL, 1, 1, 0, 2, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
 INSERT INTO dtb_deliv (deliv_id, product_type_id, name, service_name, confirm_url, rank, status, del_flg, creator_id, create_date, update_date) VALUES (2, 2, '配送無し(ダウンロード商品用)', 'なし', NULL, 1, 1, 0, 2, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
+
+INSERT INTO dtb_payment_options (deliv_id, payment_id, rank) VALUES (1, 1, 1);
+INSERT INTO dtb_payment_options (deliv_id, payment_id, rank) VALUES (1, 2, 2);
+INSERT INTO dtb_payment_options (deliv_id, payment_id, rank) VALUES (1, 3, 3);
+INSERT INTO dtb_payment_options (deliv_id, payment_id, rank) VALUES (1, 4, 4);
+INSERT INTO dtb_payment_options (deliv_id, payment_id, rank) VALUES (2, 3, 1);
 
 INSERT INTO dtb_delivfee (deliv_id, fee_id, fee, pref) VALUES (1, 1, 1000, 1);
@@ -587,45 +593,4 @@
 INSERT INTO dtb_payment (payment_id, payment_method, charge, rule, rank, note, fix, status, del_flg, creator_id, create_date, update_date, payment_image, upper_rule, charge_flg, rule_min, upper_rule_max, module_id, module_path, memo01, memo02, memo03, memo04, memo05, memo06, memo07, memo08, memo09, memo10) VALUES (3, '銀行振込', 0, NULL, 2, NULL, 2, 1, 0, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
 INSERT INTO dtb_payment (payment_id, payment_method, charge, rule, rank, note, fix, status, del_flg, creator_id, create_date, update_date, payment_image, upper_rule, charge_flg, rule_min, upper_rule_max, module_id, module_path, memo01, memo02, memo03, memo04, memo05, memo06, memo07, memo08, memo09, memo10) VALUES (4, '代金引換', 0, NULL, 1, NULL, 2, 1, 0, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
-
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (1, 1, 1);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (1, 2, 2);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (1, 3, 3);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (1, 4, 4);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (2, 1, 1);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (2, 2, 2);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (2, 3, 3);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (2, 4, 4);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (3, 1, 1);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (3, 2, 2);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (3, 3, 3);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (3, 4, 4);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (4, 1, 1);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (4, 2, 2);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (4, 3, 3);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (4, 4, 4);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (5, 1, 1);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (5, 2, 2);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (5, 3, 3);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (5, 4, 4);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (6, 1, 1);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (6, 2, 2);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (6, 3, 3);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (6, 4, 4);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (7, 1, 1);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (7, 2, 2);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (7, 3, 3);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (7, 4, 4);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (8, 1, 1);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (8, 2, 2);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (8, 3, 3);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (8, 4, 4);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (9, 1, 1);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (9, 2, 2);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (9, 3, 3);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (9, 4, 4);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (10, 1, 1);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (10, 2, 2);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (10, 3, 3);
-INSERT INTO dtb_payment_options (product_class_id, payment_id, rank) VALUES (10, 4, 4);
 
 INSERT INTO dtb_product_categories (product_id, category_id, rank) VALUES (1, 5, 1);
Index: /branches/version-2_5-dev/html/install/sql/create_table_mysql.sql
===================================================================
--- /branches/version-2_5-dev/html/install/sql/create_table_mysql.sql	(revision 20068)
+++ /branches/version-2_5-dev/html/install/sql/create_table_mysql.sql	(revision 20110)
@@ -159,4 +159,5 @@
     name text,
     service_name text,
+    remark text,
     confirm_url text,
     rank int,
@@ -167,4 +168,11 @@
     update_date timestamp NOT NULL,
     PRIMARY KEY (deliv_id)
+) ENGINE=InnoDB;
+
+CREATE TABLE dtb_payment_options (
+    deliv_id int NOT NULL,
+    payment_id int NOT NULL,
+    rank int,
+    PRIMARY KEY (deliv_id, payment_id)
 ) ENGINE=InnoDB;
 
@@ -215,11 +223,4 @@
     memo10 text,
     PRIMARY KEY (payment_id)
-) ENGINE=InnoDB;
-
-CREATE TABLE dtb_payment_options (
-    product_class_id int NOT NULL,
-    payment_id int NOT NULL,
-    rank int,
-    PRIMARY KEY(product_class_id, payment_id)
 ) ENGINE=InnoDB;
 
Index: /branches/version-2_5-dev/html/install/sql/create_table_pgsql.sql
===================================================================
--- /branches/version-2_5-dev/html/install/sql/create_table_pgsql.sql	(revision 20068)
+++ /branches/version-2_5-dev/html/install/sql/create_table_pgsql.sql	(revision 20110)
@@ -159,4 +159,5 @@
     name text,
     service_name text,
+    remark text,
     confirm_url text,
     rank int,
@@ -167,4 +168,11 @@
     update_date timestamp NOT NULL,
     PRIMARY KEY (deliv_id)
+);
+
+CREATE TABLE dtb_payment_options (
+    payment_id int NOT NULL,
+    deliv_id int NOT NULL,
+    rank int,
+    PRIMARY KEY (payment_id, deliv_id)
 );
 
@@ -215,11 +223,4 @@
     memo10 text,
     PRIMARY KEY (payment_id)
-);
-
-CREATE TABLE dtb_payment_options (
-    product_class_id int NOT NULL,
-    payment_id int NOT NULL,
-    rank int,
-    PRIMARY KEY(product_class_id, payment_id)
 );
 