Index: anches/version-2_5-dev/html/admin/products/trackback.php
===================================================================
--- /branches/version-2_5-dev/html/admin/products/trackback.php	(revision 19805)
+++ 	(revision )
@@ -1,35 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once '../require.php';
-require_once CLASS_EX_REALDIR . 'page_extends/admin/products/LC_Page_Admin_Products_Trackback_Ex.php';
-
-// }}}
-// {{{ generate page
-
-$objPage = new LC_Page_Admin_Products_Trackback_Ex();
-register_shutdown_function(array($objPage, 'destroy'));
-$objPage->init();
-$objPage->process();
-?>
Index: anches/version-2_5-dev/html/admin/products/trackback_edit.php
===================================================================
--- /branches/version-2_5-dev/html/admin/products/trackback_edit.php	(revision 19805)
+++ 	(revision )
@@ -1,34 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-// {{{ requires
-require_once '../require.php';
-require_once CLASS_EX_REALDIR . 'page_extends/admin/products/LC_Page_Admin_Products_TrackbackEdit_Ex.php';
-
-// }}}
-// {{{ generate page
-
-$objPage = new LC_Page_Admin_Products_TrackbackEdit_Ex();
-register_shutdown_function(array($objPage, 'destroy'));
-$objPage->init();
-$objPage->process();
-?>
Index: anches/version-2_5-dev/data/class_extends/page_extends/admin/products/LC_Page_Admin_Products_TrackbackEdit_Ex.php
===================================================================
--- /branches/version-2_5-dev/data/class_extends/page_extends/admin/products/LC_Page_Admin_Products_TrackbackEdit_Ex.php	(revision 20116)
+++ 	(revision )
@@ -1,68 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once(CLASS_REALDIR . "pages/admin/products/LC_Page_Admin_Products_TrackbackEdit.php");
-
-/**
- * トラックバック編集 のページクラス(拡張).
- *
- * LC_Page_TrackBack_Edit をカスタマイズする場合はこのクラスを編集する.
- *
- * @package Page
- * @author LOCKON CO.,LTD.
- * @version $Id$
- */
-class LC_Page_Admin_Products_TrackbackEdit_Ex extends LC_Page_Admin_Products_TrackbackEdit {
-
-    // }}}
-    // {{{ functions
-
-    /**
-     * Page を初期化する.
-     *
-     * @return void
-     */
-    function init() {
-        parent::init();
-    }
-
-    /**
-     * Page のプロセス.
-     *
-     * @return void
-     */
-    function process() {
-        parent::process();
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy() {
-        parent::destroy();
-    }
-}
-?>
Index: anches/version-2_5-dev/data/class_extends/page_extends/admin/products/LC_Page_Admin_Products_Trackback_Ex.php
===================================================================
--- /branches/version-2_5-dev/data/class_extends/page_extends/admin/products/LC_Page_Admin_Products_Trackback_Ex.php	(revision 20116)
+++ 	(revision )
@@ -1,68 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once(CLASS_REALDIR . "pages/admin/products/LC_Page_Admin_Products_Trackback.php");
-
-/**
- * トラックバック管理 のページクラス(拡張).
- *
- * LC_Page_Admin_Products_Trackback をカスタマイズする場合はこのクラスを編集する.
- *
- * @package Page
- * @author LOCKON CO.,LTD.
- * @version $Id$
- */
-class LC_Page_Admin_Products_Trackback_Ex extends LC_Page_Admin_Products_Trackback {
-
-    // }}}
-    // {{{ functions
-
-    /**
-     * Page を初期化する.
-     *
-     * @return void
-     */
-    function init() {
-        parent::init();
-    }
-
-    /**
-     * Page のプロセス.
-     *
-     * @return void
-     */
-    function process() {
-        parent::process();
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy() {
-        parent::destroy();
-    }
-}
-?>
Index: anches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Trackback.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Trackback.php	(revision 20116)
+++ 	(revision )
@@ -1,277 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-// {{{ requires
-require_once(CLASS_REALDIR . "pages/admin/LC_Page_Admin.php");
-require_once(CLASS_EX_REALDIR . "helper_extends/SC_Helper_CSV_Ex.php");
-
-/**
- * トラックバック管理 のページクラス.
- *
- * @package Page
- * @author LOCKON CO.,LTD.
- * @version $Id$
- */
-class LC_Page_Admin_Products_Trackback extends LC_Page_Admin {
-
-    // }}}
-    // {{{ functions
-
-    /**
-     * Page を初期化する.
-     *
-     * @return void
-     */
-    function init() {
-        parent::init();
-        $this->tpl_mainpage = 'products/trackback.tpl';
-        $this->tpl_subnavi = 'products/subnavi.tpl';
-        $this->tpl_mainno = 'products';
-        $this->tpl_subno = 'trackback';
-        $this->tpl_pager = TEMPLATE_REALDIR . 'admin/pager.tpl';
-        $this->tpl_subtitle = 'トラックバック管理';
-
-        $masterData = new SC_DB_MasterData_Ex();
-        $this->arrPageMax = $masterData->getMasterData("mtb_page_max");
-        $this->arrTrackBackStatus = $masterData->getMasterData("mtb_track_back_status");
-    }
-
-    /**
-     * Page のプロセス.
-     *
-     * @return void
-     */
-    function process() {
-        $this->action();
-        $this->sendResponse();
-    }
-
-    /**
-     * Page のアクション.
-     *
-     * @return void
-     */
-    function action() {
-        $objSess = new SC_Session();
-        $objDate = new SC_Date();
-        $objQuery = new SC_Query();
-
-        // 状態の設定
-
-
-        // 登録・更新検索開始年
-        $objDate->setStartYear(RELEASE_YEAR);
-        $objDate->setEndYear(DATE("Y"));
-        $this->arrStartYear = $objDate->getYear();
-        $this->arrStartMonth = $objDate->getMonth();
-        $this->arrStartDay = $objDate->getDay();
-        // 登録・更新検索終了年
-        $objDate->setStartYear(RELEASE_YEAR);
-        $objDate->setEndYear(DATE("Y"));
-        $this->arrEndYear = $objDate->getYear();
-        $this->arrEndMonth = $objDate->getMonth();
-        $this->arrEndDay = $objDate->getDay();
-
-        // 認証可否の判定
-        SC_Utils_Ex::sfIsSuccess($objSess);
-
-        // トラックバック情報のカラムの取得(viewとの結合のため、テーブルをAと定義しておく)
-        $select = "A.trackback_id, A.product_id, A.blog_name, A.title, A.url, ";
-        $select .= "A.excerpt, A.status, A.create_date, A.update_date, B.name";
-        $from = "dtb_trackback AS A LEFT JOIN dtb_products AS B ON A.product_id = B.product_id ";
-
-        // 検索ワードの引き継ぎ
-        foreach ($_POST as $key => $val) {
-            if (ereg("^search_", $key)) {
-                $this->arrHidden[$key] = $val;
-            }
-        }
-        switch ($this->getMode()) {
-        case 'delete':
-            $objQuery->exec("UPDATE dtb_trackback SET del_flg = 1, update_date = now() WHERE trackback_id = ?", array($_POST['trackback_id']));
-        case 'search':
-        case 'csv':
-            //削除されていない商品を検索
-            $where="A.del_flg = 0 AND B.del_flg = 0";
-            $this->arrForm = $_POST;
-
-            //エラーチェック
-            $this->arrErr = $this->lfCheckError();
-
-            if (!$this->arrErr) {
-                foreach ($_POST as $key => $val) {
-
-                    if ($val == "") {
-                        continue;
-                    }
-
-                    switch ($key) {
-
-                    case 'search_blog_name':
-                        $val = ereg_replace(" ", "%", $val);
-                        $val = ereg_replace("　", "%", $val);
-                        $where.= " AND A.blog_name ILIKE ? ";
-                        $arrval[] = "%$val%";
-                        break;
-
-                    case 'search_blog_title':
-                        $val = ereg_replace(" ", "%", $val);
-                        $val = ereg_replace("　", "%", $val);
-                        $where.= " AND A.title ILIKE ? ";
-                        $arrval[] = "%$val%";
-                        break;
-
-                    case 'search_blog_url':
-                        $val = ereg_replace(" ", "%", $val);
-                        $val = ereg_replace("　", "%", $val);
-                        $where.= " AND A.url ILIKE ? ";
-                        $arrval[] = "%$val%";
-                        break;
-
-                    case 'search_status':
-                        if (isset($_POST['search_status'])) {
-                            $where.= " AND A.status = ? ";
-                            $arrval[] = $val;
-                        }
-                        break;
-
-                    case 'search_name':
-                        $val = ereg_replace(" ", "%", $val);
-                        $val = ereg_replace("　", "%", $val);
-                        $where.= " AND B.name ILIKE ? ";
-                        $arrval[] = "%$val%";
-                        break;
-
-                    case 'search_product_code':
-                        $val = ereg_replace(" ", "%", $val);
-                        $val = ereg_replace("　", "%", $val);
-                        $where.= " AND B.product_id IN (SELECT product_id FROM dtb_products_class WHERE product_code ILIKE ? )";
-                        $arrval[] = "%$val%";
-                        break;
-
-                    case 'search_startyear':
-                        if (isset($_POST['search_startyear']) && isset($_POST['search_startmonth']) && isset($_POST['search_startday'])) {
-                            $date = SC_Utils_Ex::sfGetTimestamp($_POST['search_startyear'], $_POST['search_startmonth'], $_POST['search_startday']);
-                            $where.= " AND A.create_date >= ? ";
-                            $arrval[] = $date;
-                        }
-                        break;
-
-                    case 'search_endyear':
-                        if (isset($_POST['search_startyear']) && isset($_POST['search_startmonth']) && isset($_POST['search_startday'])) {
-                            $date = SC_Utils_Ex::sfGetTimestamp($_POST['search_endyear'], $_POST['search_endmonth'], $_POST['search_endday']);
-
-                            $end_date = date("Y/m/d",strtotime("1 day" ,strtotime($date)));
-
-                            $where.= " AND A.create_date <= cast('$end_date' as date) ";
-                        }
-                        break;
-                    }
-
-                }
-
-            }
-
-            $order = "A.create_date DESC";
-
-            // ページ送りの処理
-            if(is_numeric($_POST['search_page_max'])) {
-                $page_max = $_POST['search_page_max'];
-            } else {
-                $page_max = SEARCH_PMAX;
-            }
-
-            if (!isset($arrval)) $arrval = array();
-
-            $linemax = $objQuery->count($from, $where, $arrval);
-            $this->tpl_linemax = $linemax;
-
-            $this->tpl_pageno =
-                isset($_POST['search_pageno']) ? $_POST['search_pageno'] : "";
-
-            // ページ送りの取得
-            $objNavi = new SC_PageNavi($this->tpl_pageno, $linemax, $page_max,
-                                       "fnNaviSearchPage", NAVI_PMAX);
-            $this->arrPagenavi = $objNavi->arrPagenavi;
-            $startno = $objNavi->start_row;
-
-
-
-            // 取得範囲の指定(開始行番号、行数のセット)
-            $objQuery->setLimitOffset($page_max, $startno);
-
-            // 表示順序
-            $objQuery->setOrder($order);
-
-            //検索結果の取得
-            $this->arrTrackback = $objQuery->select($select, $from, $where, $arrval);
-
-            //CSVダウンロード
-            if ($mode == 'csv'){
-
-                $objCSV = new SC_Helper_CSV_Ex();
-
-                // オプションの指定
-                $option = "ORDER BY A.trackback_id";
-                // CSV出力タイトル行の作成
-                $head = SC_Utils_Ex::sfGetCSVList($objCSV->arrTRACKBACK_CVSTITLE);
-                $data = $objCSV->lfGetTrackbackCSV($where, '', $arrval);
-                // CSVを送信する。
-                SC_Utils_Ex::sfCSVDownload($head.$data);
-                exit;
-            }
-            break;
-        default:
-            break;
-        }
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy() {
-        parent::destroy();
-    }
-
-    // 入力エラーチェック
-    function lfCheckError() {
-        $objErr = new SC_CheckError();
-        switch ($this->getMode()){
-        case 'search':
-            $objErr->doFunc(array("投稿者", "search_startyear", "search_startmonth", "search_startday"), array("CHECK_DATE"));
-            $objErr->doFunc(array("開始日", "search_startyear", "search_startmonth", "search_startday"), array("CHECK_DATE"));
-            $objErr->doFunc(array("終了日", "search_endyear", "search_endmonth", "search_endday"), array("CHECK_DATE"));
-            $objErr->doFunc(array("開始日", "終了日", "search_startyear", "search_startmonth", "search_startday", "search_endyear", "search_endmonth", "search_endday"), array("CHECK_SET_TERM"));
-            break;
-
-        case 'complete':
-            $objErr->doFunc(array("おすすめレベル", "recommend_level"), array("SELECT_CHECK"));
-            $objErr->doFunc(array("タイトル", "title", STEXT_LEN), array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
-            $objErr->doFunc(array("コメント", "comment", LTEXT_LEN), array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
-            break;
-        }
-        return $objErr->arrErr;
-    }
-}
-?>
Index: anches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_TrackbackEdit.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_TrackbackEdit.php	(revision 20116)
+++ 	(revision )
@@ -1,209 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once(CLASS_REALDIR . "pages/admin/LC_Page_Admin.php");
-
-/**
- * トラックバック編集 のページクラス.
- *
- * @package Page
- * @author LOCKON CO.,LTD.
- * @version $Id$
- */
-class LC_Page_Admin_Products_TrackbackEdit extends LC_Page_Admin {
-
-    // }}}
-    // {{{ functions
-
-    /**
-     * Page を初期化する.
-     *
-     * @return void
-     */
-    function init() {
-        parent::init();
-        $this->tpl_mainpage = 'products/trackback_edit.tpl';
-        $this->tpl_subnavi = 'products/subnavi.tpl';
-        $this->tpl_mainno = 'products';
-        $this->tpl_subno = 'trackback';
-        $this->tpl_subtitle = 'トラックバック管理';
-    }
-
-    /**
-     * Page のプロセス.
-     *
-     * @return void
-     */
-    function process() {
-        $this->action();
-        $this->sendResponse();
-    }
-
-    /**
-     * Page のアクション.
-     *
-     * @return void
-     */
-    function action() {
-        $objSess = new SC_Session();
-        $objQuery = new SC_Query();
-
-        // 認証可否の判定
-        SC_Utils_Ex::sfIsSuccess($objSess);
-
-        //検索ワードの引継ぎ
-        foreach ($_POST as $key => $val){
-            if (ereg("^search_", $key)){
-                $this->arrSearchHidden[$key] = $val;
-            }
-        }
-
-        // 状態の設定
-        $masterData = new SC_DB_MasterData_Ex();
-        $this->arrTrackBackStatus = $masterData->getMasterData("mtb_track_back_status");
-
-        //取得文字列の変換用カラム
-        $arrRegistColumn = array (
-                                  array( "column" => "update_date"),
-                                  array( "column" => "status"),
-                                  array(	"column" => "title","convert" => "KVa"),
-                                  array(	"column" => "excerpt","convert" => "KVa"),
-                                  array(	"column" => "blog_name","convert" => "KVa"),
-                                  array(	"column" => "url","convert" => "KVa"),
-                                  array(	"column" => "del_flg","convert" => "n")
-                                  );
-
-        // トラックバックIDを渡す
-        $this->tpl_trackback_id = $_POST['trackback_id'];
-        // トラックバック情報のカラムの取得
-        $this->arrTrackback = $this->lfGetTrackbackData($_POST['trackback_id'], $objQuery);
-
-        // 商品ごとのトラックバック表示数取得
-        $count = $objQuery->count("dtb_trackback", "del_flg = 0 AND product_id = ?", array($this->arrTrackback['product_id']));
-        // 両方選択可能
-        $this->tpl_status_change = true;
-
-        switch($this->getMode()) {
-            // 登録
-        case 'complete':
-            //フォーム値の変換
-            $arrTrackback = $this->lfConvertParam($_POST, $arrRegistColumn);
-            $this->arrErr = $this->lfCheckError($arrTrackback);
-            //エラー無し
-
-            if (!$this->arrErr) {
-                //レビュー情報の編集登録
-                $this->lfRegistTrackbackData($arrTrackback, $arrRegistColumn, $objQuery);
-                $this->arrTrackback = $arrTrackback;
-                $this->tpl_onload = "confirm('登録が完了しました。');";
-            }
-            break;
-
-        default:
-            break;
-        }
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy() {
-        parent::destroy();
-    }
-
-
-    // 入力エラーチェック
-    function lfCheckError($array) {
-        $objErr = new SC_CheckError($array);
-        $objErr->doFunc(array("ブログ名", "blog_name", STEXT_LEN), array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
-        $objErr->doFunc(array("ブログ記事タイトル", "title", STEXT_LEN), array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
-        $objErr->doFunc(array("ブログ記事内容", "excerpt", LTEXT_LEN), array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
-        $objErr->doFunc(array("ブログURL", "url", URL_LEN), array("SPTAB_CHECK", "MAX_LENGTH_CHECK"));
-        $objErr->doFunc(array("状態", "status"), array("SELECT_CHECK"));
-        return $objErr->arrErr;
-    }
-
-    //----　取得文字列の変換
-    function lfConvertParam($array, $arrRegistColumn) {
-        /*
-         *	文字列の変換
-         *	K :  「半角(ﾊﾝｶｸ)片仮名」を「全角片仮名」に変換
-         *	C :  「全角ひら仮名」を「全角かた仮名」に変換
-         *	V :  濁点付きの文字を一文字に変換。"K","H"と共に使用します
-         *	n :  「全角」数字を「半角(ﾊﾝｶｸ)」に変換
-         *  a :  全角英数字を半角英数字に変換する
-         */
-        // カラム名とコンバート情報
-        foreach ($arrRegistColumn as $data) {
-            $arrConvList[ $data["column"] ] = isset($data["convert"]) ? $data["convert"] : "";
-        }
-
-        // 文字変換
-        foreach ($arrConvList as $key => $val) {
-            // POSTされてきた値のみ変換する。
-            if (!isset($array[$key])) $array[$key] = "";
-            if(strlen(($array[$key])) > 0) {
-                $array[$key] = mb_convert_kana($array[$key] ,$val);
-            }
-        }
-        return $array;
-    }
-
-    // トラックバック情報の取得
-    function lfGetTrackbackData($trackback_id, &$objQuery) {
-
-        $select = "tra.trackback_id, tra.product_id, tra.blog_name, tra.title, tra.excerpt, ";
-        $select .= "tra.url, tra.status, tra.create_date, tra.update_date, pro.name ";
-        $from = "dtb_trackback AS tra LEFT JOIN dtb_products AS pro ON tra.product_id = pro.product_id ";
-        $where = "tra.del_flg = 0 AND pro.del_flg = 0 AND tra.trackback_id = ? ";
-        $arrTrackback = $objQuery->select($select, $from, $where, array($trackback_id));
-        if(!empty($arrTrackback)) {
-            $this->arrTrackback = $arrTrackback[0];
-        } else {
-            sfDispError("");
-        }
-        return $this->arrTrackback;
-    }
-
-    // トラックバック情報の編集登録
-    function lfRegistTrackbackData($array, $arrRegistColumn, &$objQuery) {
-
-        foreach ($arrRegistColumn as $data) {
-            if (!isset($array[$data["column"]])) $array[$data["column"]] = "";
-            if (strlen($array[ $data["column"] ]) > 0 ) {
-                $arrRegist[ $data["column"] ] = $array[ $data["column"] ];
-            }
-            if ($data['column'] == 'update_date'){
-                $arrRegist['update_date'] = 'now()';
-            }
-        }
-        //登録実行
-        $objQuery->begin();
-        $objQuery->update("dtb_trackback", $arrRegist, "trackback_id = '".$_POST['trackback_id']."'");
-        $objQuery->commit();
-    }
-}
-?>